SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004522SOGo Connectorpublic2018-08-07 06:132018-08-31 11:29
Reportercgmivog 
Assigned Toludovic 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version10
Product Version31.0.6 
Target VersionFixed in Version 
Summary0004522: Sogo Connector not compatible with Thunderbird 60
DescriptionThunderbird reports Sogo Connector as not compatible.
Sogo Connector is disabled.
Steps To ReproduceUpgrade to Thunderbird 60.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0012992)
kid (reporter)
2018-08-07 12:59

Double ticket - exists already with ID 0004474
(0013001)
jobisoft (reporter)
2018-08-20 05:43

I do not know, if SOGo will fix this, so I added CardDAV support to my own Sync Add On "TbSync". That feature however is only avail in the latest beta:
https://github.com/jobisoft/TbSync/releases/download/v0.7.10/TbSync-beta.xpi [^]

TbSync is transforming to become a Sync Manager, which support multiple protocols, which are shipped independently. If you try to add a CardDAV account, the needed provider will be installed as well.

An screenshoot and some more information can be found here:
https://github.com/jobisoft/DAV-4-TbSync [^]

It will take another 2-3 weeks before the features of the beta are avail in the official version hosted on addons.thunderbird.net.

Should I add this comment also to the other bug describing the same issue with the integrator?
(0013006)
johnsjs (reporter)
2018-08-23 07:50
edited on: 2018-08-23 07:51

I think this is a separate ticket from ID 0004474 as that relates to integrator primarily. This relates to connector only.

In TB 60.0b10 (32-bit) connector now appears to be working.

Windows 10 64bit, TB 60.0b10, connector 31.0.5 and 31.0.6

I am able to sync calendars and address books, and events are working as expected.

Steps required to replicate:

Set about:config extensions.strictCompatibility to 'false' to allow Thunderbird to use addons which have not been certified by the author as working

(0013010)
jobisoft (reporter)
2018-08-31 05:11

The Thunderbird team has just accepted and released the first version of TbSync, that supports the additional DAV provider:

https://addons.thunderbird.net/en-US/thunderbird/addon/tbsync/ [^]

This is all you need. When adding a new DAV account, TbSync will guide you to install the additional DAV provider.
User avatar (0013011)
ludovic (administrator)
2018-08-31 11:29

Extensions for Thunderbird v60 are now available from: http://packages.inverse.ca/SOGo/thunderbird/nightly/ [^]

After a few days of testing, we'll make them available as an official release.

- Issue History
Date Modified Username Field Change
2018-08-07 06:13 cgmivog New Issue
2018-08-07 12:59 kid Note Added: 0012992
2018-08-20 05:43 jobisoft Note Added: 0013001
2018-08-23 07:50 johnsjs Note Added: 0013006
2018-08-23 07:50 johnsjs Note Edited: 0013006 View Revisions
2018-08-23 07:51 johnsjs Note Edited: 0013006 View Revisions
2018-08-31 05:11 jobisoft Note Added: 0013010
2018-08-31 11:29 ludovic Note Added: 0013011
2018-08-31 11:29 ludovic Status new => resolved
2018-08-31 11:29 ludovic Resolution open => fixed
2018-08-31 11:29 ludovic Assigned To => ludovic


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker